Skip to content

环境空气质量实况图

访问限制

本部分 API 属于增值服务,仅提供给企业套餐开发者,如需采购请联系彩云商务

数据说明

  • 更新频率:1 小时
  • 时间范围:过去 48 小时
  • 空间范围:亚洲和北美区域拼图
  • 覆盖范围见 覆盖范围

区域实况图

请求

http
GET https://api.caiyunapp.com/v1/aqi/images

查询参数

参数必填默认值取值范围说明
tokenAPI 认证凭证,详见 认证与鉴权

请求示例

bash
curl "https://api.caiyunapp.com/v1/aqi/images?token={token}"

响应示例

json
{
  "status": "ok",
  "category": "aqi_latest_obs_image",
  "images": [
    [
      "http://cdn-s.caiyunapp.com/weather/pm25_rt_as_20211227_08.png?auth_key=xxxxx",
      1640592000,
      [-10, 60, 56, 146]
    ],
    // ...
    [
      "http://cdn-s.caiyunapp.com/weather/pm25_rt_as_20211229_07.png?auth_key=xxxxx",
      1640761200,
      [-10, 60, 56, 146]
    ]
  ]
}

响应字段

JSONPath类型说明
$.statusstring请求状态
$.categorystring数据类别
$.imagesarray<array>图片 URL、时间戳和经纬度边界组成的列表

坐标顺序为

  • 图片最南处纬度 lat0
  • 图片最西处经度 lon0
  • 图片最北处纬度 lat1
  • 图片最东处经度 lon1